# GetMetaData

Gets metadata (the methods, properties, and parameters of a component) associated with an object.

This returns the `$bx.meta` object for the object.

## Method Signature

```
GetMetaData(value=[any])
```

### Arguments

| Argument | Type  | Required | Description                     | Default |
| -------- | ----- | -------- | ------------------------------- | ------- |
| `value`  | `any` | `true`   | The object to get metadata for. |         |

## Examples

### Dump Metadata of CFC Instance

CF9+

```java
writeDump( getMetadata( new Query() ) );

```

### Additional Examples

[Run Example](https://try.boxlang.io/?code=eJwrVLBVKCxNLar0Sy3XUFDKTNHJS8xNVdJRUMorzU0tykzWKUssSs5ILFJS0LTmSinNLdBQcE8t8U0tSUxJLEnUUChU0ATJAABTTRZo)

```java
q = queryNew( "id,name", "numeric,varchar" );
dump( GetMetadata( q ) );

```

## Related

* [ArrayLen](https://boxlang.ortusbooks.com/boxlang-language/reference/built-in-functions/type/arraylen)
* [Len](https://boxlang.ortusbooks.com/boxlang-language/reference/built-in-functions/type/len)
* [NullValue](https://boxlang.ortusbooks.com/boxlang-language/reference/built-in-functions/type/nullvalue)
* [StringLen](https://boxlang.ortusbooks.com/boxlang-language/reference/built-in-functions/type/stringlen)
* [StructCount](https://boxlang.ortusbooks.com/boxlang-language/reference/built-in-functions/type/structcount)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://boxlang.ortusbooks.com/boxlang-language/reference/built-in-functions/type/getmetadata.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
